#1  
Old 12th March 2008, 11:49
TauTau TauTau is offline
Member
 
Join Date: Oct 2007
Posts: 33
Thanks: 1
Thanked 0 Times in 0 Posts
Default eGroupware and PEAR Problem

Hi,

I'm trying to get egroupware running, but it doesn't see my PEAR installation. This is the output of the setup:

Code:
Passed berprfe bentigte PHP Version 4.3+ (empfohlen 5+): 5.2.0-8+etch10 ==> Ja
Passed berprfe die php.ini Datei: safe_mode = Off: ini_get('safe_mode')='' = Off
Passed berprfe die php.ini Datei: magic_quotes_runtime = Off: ini_get('magic_quotes_runtime')='' = Off
Passed berprfe die php.ini Datei: register_globals = Off: ini_get('register_globals')='' = Off
Passed berprfe die php.ini Datei: memory_limit >= 24M: ini_get('memory_limit')='32M'
Passed berprfe die php.ini Datei: max_execution_time >= 30: ini_get('max_execution_time')='0'
Passed berprfe die php.ini Datei: file_uploads = On: ini_get('file_uploads')='1' = On
Passed berprfe die php.ini Datei: include_path enthlt .: ini_get('include_path')='.:/usr/share/php:/usr/share/php/PEAR'
Passed berprfe die php.ini Datei: mbstring.func_overload = 7: ini_get('mbstring.func_overload')='7'
Passed berprfe die php.ini Datei: magic_quotes_gpc = Off: ini_get('magic_quotes_gpc')='' = Off
Passed berprfe ob die Erweiterung mysql geladen oder ladbar ist: Ja
Warning berprfe ob die Erweiterung pgsql geladen oder ladbar ist: Falsch
Die pgsql Erweiterung (php extension) wird bentigt, wenn Sie die pgSQL Datenbank einsetzen wollen.
Warning berprfe ob die Erweiterung odbc geladen oder ladbar ist: Falsch
Die odbc Erweiterung (php extension) wird bentigt, wenn Sie die MaxDB, MsSQL or Oracle Datenbank einsetzen wollen.
Warning berprfe ob die Erweiterung oci8 geladen oder ladbar ist: Falsch
Die oci Erweiterung (php extension) wird bentigt, wenn Sie die Oracle Datenbank einsetzen wollen.
Passed berprfe ob die Erweiterung mbstring geladen oder ladbar ist: Ja
Passed berprfe ob die Erweiterung session geladen oder ladbar ist: Ja
Warning berprfe ob die Erweiterung ldap geladen oder ladbar ist: Falsch
Die ldap Erweiterung (php extension) wird bentigt fr LDAP as Benutzer oder Addressen Speicher, um gegen LDAP oder Aktive Directory zu authetifizieren. Es wird nicht bentigt fr eine standard SQL Installation.
Passed berprfe ob die Erweiterung imap geladen oder ladbar ist: Ja
Passed berprfe ob die Erweiterung gd geladen oder ladbar ist: Ja
Warning berprfe ob PEAR installiert ist: Falsch
PEAR wird bentigt von: Calendar (iCal import+export), FeLaMiMail, EMailAdmin, felamimail, Filemanager, SyncML. PEAR (pear.php.net) ist eine PHP Sammlung und ist berlicherweise in einem Packet namens php-pear.
Passed berprfe ob PEAR::Net_Socket installiert ist: 999.egw-pear
Warning berprfe ob PEAR::Auth_SASL installiert ist: Falsch
PEAR::Auth_SASL wird bentigt von: EMailAdmin, felamimail. PEAR (pear.php.net) ist eine PHP Sammlung und ist berlicherweise in einem Packet namens php-pear.
Passed berprfe ob PEAR::Net_IMAP installiert ist: 999.egw-pear
Passed berprfe ob PEAR::Net_Sieve installiert ist: 999.egw-pear
Passed berprfe ob PEAR::HTTP_WebDAV_Server installiert ist: 999.egw-pear
Passed berprfe ob PEAR::Log installiert ist: 999.egw-pear
Passed berprfe Datei Zugriffsrechte von . fr nicht schreibbar von jedem (world writeable): web10_groupware/web10 drwxrwxr-x
Dieser Test braucht einige Zeit, bitte warten ...
Passed berprfe ob der Webserver auf die php.ini Einstellung session.save_path='/var/www/web10/phptmp' schreiben kann: web10_groupware/web10 drwxrwxrwx
Passed berprfe ob die Funktion imagecreatefromjpeg verfgbar ist: Ja
the include_path has /usr/share/php, this is where I have PEAR.php and a PEAR directory, so I thought it should be included. I read a lot about problems getting eGroupware running with confixx, because of a set open_basedir, an I though this wouldn't be the case here, but when I run a phpinfo() I get a open_basedir value of:

Code:
	/var/www/web10
so maybe this could be the problem? I tried copying the PEAR.php file to /var/www/web10 but it didn't help....

Any help?

Edit: That site has it's own php.ini, ISPConfig is running with suphp. So I tried setting the value of open_basedir to

Code:
open_basedir = /var/www/web10/:/usr/share/php
but it didn't change within phpinfo(), seems it get overwritten somewhere else?

Last edited by TauTau; 12th March 2008 at 11:59.
Reply With Quote
Sponsored Links
  #2  
Old 13th March 2008, 17:36
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,740 Times in 2,575 Posts
 
Default

What's in Vhosts_ispconfig.conf and /etc/suphp.conf?
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Egroupware install bernholdt General 3 24th February 2008 14:28


All times are GMT +2. The time now is 08:38.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.